##LibName#Simulation Wilcoxon
##LibDescription#Simulation der Prfverteilung
##LibCopyright#Ronja Foraita


simul <- function(n,s=10,mux=1,muy=1) {
##FunctionName#simul
##FunctionDescription#Simulation der Wilcoxon-Prfverteilung
##FunctionSyntax#simul(n,s=10,mux=1,muy=1)

pg <- c(1:n)

for (j in 1:n){

  for (i in 1:s){
  x <- rnorm(s,mean=mux,1)
  y <- rnorm(s,mean=muy,1)
  pool <- append(x,y)
  rang <- rank(pool)
  ts   <- sum(rang[1:s])
  }
  pg[j] <- ts
 }
pg
return(pg)}